- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CVRP-TW Class List

Here are the classes, structs, unions and interfaces with brief descriptions:

eoVRPUtils::ClientData | Information regarding each client in the dataset
eoVRP | Defines the getoype used to solve the VRP-TW problem
eoVRPEdgeCrossover | Implementation of the classic Edge Crossover from the TSP
eoVRPEvalFunc | Evaluates an individual of type eoVRP
eoVRPGenericCrossover | Implementation of the generic crossover for the VRP-TW by Tavares et al
eoVRPInit | Class defining the initializer functor
eoVRPMutation | Implementation of variations of the four mutation operators for the VRP-TW defined by Tavares et al
eoVRPOnePointCrossover | Implementation of the simple One Point Crossover
eoVRPStat | Manages the statistics of the VRP problem